> ## Documentation Index
> Fetch the complete documentation index at: https://docs.money.orki.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> This endpoint retrieves a list of transactions associated with the partner’s account.



## OpenAPI

````yaml GET /api/v1/partner/transactions
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.money.orki.io
security:
  - ApiKeyAuth: []
paths:
  /api/v1/partner/transactions:
    get:
      tags:
        - Merchant
      summary: Show Partner Transactions.
      operationId: showTransactionsByMerchant
      parameters:
        - in: query
          name: page
          description: Page number.
          example: 1
          required: false
          schema:
            type: integer
            description: Page number.
            example: 1
            nullable: false
        - in: query
          name: per_page
          description: Number of items per page.
          example: 5
          required: false
          schema:
            type: integer
            description: Number of items per page.
            example: 5
            nullable: false
        - in: query
          name: filter[created_at]
          required: false
          description: >-
            Filter transactions created within the given date range. Format:
            start_date,end_date (e.g., 2023-01-01,2023-12-31).
          schema:
            type: string
            example: 2023-01-01,2023-12-31
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  msg: Success
                  data:
                    transactions:
                      - id: 01jwm8tchegxy37f12jck7b0bx
                        provider_tx_id: cos_1RUyHbQRBKAgk6f06LOvXqFU
                        type: BUY
                        sender_address: null
                        recipient_address: '0x5f661d0e61d3F79DA6605AB6173453084599c5aC'
                        exchange_rate: 239.2
                        transaction_hash: random_hash_here
                        provider_fee: 60.6
                        orki_fee: null
                        network_fee: 0.05
                        fiat_amount: 400
                        crypto_amount: 1500
                        fiat_currency: USD
                        crypto_currency: eth
                        network: ethereum
                        payment_method: credit_debit_card
                        status: success
                        provider: stripe
                        created_at: '2025-05-31T22:53:51.000000Z'
                        processed_at: '2025-06-01T23:50:50.000000Z'
                      - id: 01jwmf9s2dmmtbq048xh94xxza
                        provider_tx_id: 682d90414984372d417a43ee
                        type: BUY
                        sender_address: null
                        recipient_address: UQB9tSE4jidlpbote0-hFXddpXi6PWYUL2JfrrVMJjcw0hrb
                        exchange_rate: 1618.12
                        transaction_hash: >-
                          6e9b376b9b8f6e1648e9b897e3fab31563ec5438c5d53d774c09061357d34677
                        provider_fee: null
                        orki_fee: null
                        network_fee: null
                        fiat_amount: 40000
                        crypto_amount: 18.54
                        fiat_currency: NGN
                        crypto_currency: usdt
                        network: ton
                        payment_method: bank_transfer
                        status: success
                        provider: fonbnk
                        created_at: '2025-06-01T00:47:07.000000Z'
                        processed_at: '2025-06-21T08:36:51.000000Z'
                    meta:
                      total: 9
                      perPage: 2
                      currentPage: 1
                      lastPage: 5
                      firstPage: 1
                      firstPageUrl: >-
                        https://money.orki.test/api/v1/partner/transactions?page=1
                      lastPageUrl: >-
                        https://money.orki.test/api/v1/partner/transactions?page=5
                      nextPageUrl: >-
                        https://money.orki.test/api/v1/partner/transactions?page=2
                      previousPageUrl: null
                  success: true
                  code: 200
                properties:
                  msg:
                    type: string
                    example: Success
                  data:
                    type: object
                    properties:
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 01jwm8tchegxy37f12jck7b0bx
                            provider_tx_id:
                              type: string
                              example: cos_1RUyHbQRBKAgk6f06LOvXqFU
                            type:
                              type: string
                              example: BUY
                            sender_address:
                              type: string
                              example: null
                            recipient_address:
                              type: string
                              example: '0x5f661d0e61d3F79DA6605AB6173453084599c5aC'
                            exchange_rate:
                              type: number
                              example: 239.2
                            transaction_hash:
                              type: string
                              example: random_hash_here
                            provider_fee:
                              type: number
                              example: 60.6
                            orki_fee:
                              type: string
                              example: null
                            network_fee:
                              type: number
                              example: 0.05
                            fiat_amount:
                              type: integer
                              example: 400
                            crypto_amount:
                              type: integer
                              example: 1500
                            fiat_currency:
                              type: string
                              example: USD
                            crypto_currency:
                              type: string
                              example: eth
                            network:
                              type: string
                              example: ethereum
                            payment_method:
                              type: string
                              example: credit_debit_card
                            status:
                              type: string
                              example: success
                            provider:
                              type: string
                              example: stripe
                            created_at:
                              type: string
                              example: '2025-05-31T22:53:51.000000Z'
                            processed_at:
                              type: string
                              example: '2025-06-01T23:50:50.000000Z'
                      meta:
                        type: object
                        properties:
                          total:
                            type: integer
                            example: 9
                          perPage:
                            type: integer
                            example: 2
                          currentPage:
                            type: integer
                            example: 1
                          lastPage:
                            type: integer
                            example: 5
                          firstPage:
                            type: integer
                            example: 1
                          firstPageUrl:
                            type: string
                            example: >-
                              https://money.orki.test/api/v1/partner/transactions?page=1
                          lastPageUrl:
                            type: string
                            example: >-
                              https://money.orki.test/api/v1/partner/transactions?page=5
                          nextPageUrl:
                            type: string
                            example: >-
                              https://money.orki.test/api/v1/partner/transactions?page=2
                          previousPageUrl:
                            type: string
                            example: null
                  success:
                    type: boolean
                    example: true
                  code:
                    type: integer
                    example: 200
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-ORKI-API-KEY

````